# Interface ResourceIconSymbolJson

The shape (primitive) or image URL (href) used to visualize the features.

See https://developers.arcgis.com/web-scene-specification/objects/iconSymbol3DLayer_resource/.

interface ResourceIconSymbolJson {
dataURI?: string;
href?: string;
primitive?: string;
}

#####
Index

### Properties

dataURI?
href?
primitive?

##
Properties

### `Optional` dataURI

dataURI?: string

An image encoded as base64 string, starting with data:image.

### `Optional` href

href?: string

URL to the returned image. Must be an absolute URL or a relative path starting with "./".

### `Optional` primitive

primitive?: string

Specifies the type of symbol used. Must be one of the following values: circle, square, cross, x, kite.